carbondata-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Zhichao Zhang (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (CARBONDATA-1729) The compatibility issue with hadoop <= 2.6 and 2.7
Date Fri, 17 Nov 2017 02:33:00 GMT

     [ https://issues.apache.org/jira/browse/CARBONDATA-1729?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Zhichao  Zhang updated CARBONDATA-1729:
---------------------------------------
    Summary: The compatibility issue with hadoop <= 2.6 and 2.7  (was: Fix the compatibility
issue with hadoop <= 2.6 and 2.7)

> The compatibility issue with hadoop <= 2.6 and 2.7
> --------------------------------------------------
>
>                 Key: CARBONDATA-1729
>                 URL: https://issues.apache.org/jira/browse/CARBONDATA-1729
>             Project: CarbonData
>          Issue Type: Bug
>          Components: hadoop-integration
>    Affects Versions: 1.3.0
>            Reporter: Zhichao  Zhang
>            Assignee: Zhichao  Zhang
>             Fix For: 1.3.0
>
>
> On branch master, when compiled with hadoop <= 2.6, it failed, the root cause is using
new API FileSystem.truncate which is added in hadoop 2.7. It needs to implement a method called
'truncate' in file 'FileFactory.java' to support hadoop <= 2.6.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message